package ru.myitschool.work.domain.admin;

import androidx.annotation.NonNull;

import java.util.function.Consumer;

import ru.myitschool.work.domain.entities.Status;

public class SetBlockConditionUseCase {
    private final AdminRepository repository;

    public SetBlockConditionUseCase(AdminRepository repository) {
        this.repository = repository;
    }

    public void execute(@NonNull String auth, @NonNull String login, @NonNull Boolean condition, @NonNull Consumer<Status<Void>> callback) {
        repository.setBlockCondition(auth, login, condition, callback);
    }
}
